import { __decorate } from "tslib";
import { html, css, LitElement } from 'lit';
import { property, customElement } from 'lit/decorators.js';
let ItemPreviewImage = class ItemPreviewImage extends LitElement {
    constructor() {
        super(...arguments);
        this.src = '';
        this.alt = '';
    }
    render() {
        return html `
      <div>
        <img src=${this.src} alt=${this.alt} />
      </div>
    `;
    }
};
ItemPreviewImage.styles = css `
    :host {
      display: block;
    }

    :host(.yellow) div {
      background-color: #fefe81;
    }

    :host(.green) div {
      background-color: #e3fdd5;
    }

    :host(.yellow) img,
    :host(.green) img {
      mix-blend-mode: darken;
    }

    div {
      display: flex;
      flex-direction: column;
    }

    img {
      object-fit: contain;
      max-width: 160px;
      max-height: 260px;
    }
  `;
__decorate([
    property({ type: String })
], ItemPreviewImage.prototype, "src", void 0);
__decorate([
    property({ type: String })
], ItemPreviewImage.prototype, "alt", void 0);
ItemPreviewImage = __decorate([
    customElement('item-preview-image')
], ItemPreviewImage);
export { ItemPreviewImage };
//# sourceMappingURL=item-preview-image.js.map